<div class="minds-list">
  <m-search--bar
    [defaultSizes]="false"
    class="m-feeds-sorted__SearchBox"
  ></m-search--bar>

  <minds-newsfeed-poster (load)="prepend($event)"></minds-newsfeed-poster>

  <div class="m-feeds-sorted__query" *ngIf="query">
    <span
      >Showing results for: <strong>{{ query | slice: 0:50 }}</strong></span
    >
  </div>

  <div class="m-feeds-sorted__Filter m-border">
    <m-sort-selector
      [algorithm]="algorithm"
      [period]="period"
      [customType]="customType"
      (onChange)="setSort($event.algorithm, $event.period, $event.customType)"
    ></m-sort-selector>

    <div>
      <m-newsfeed--dropdown [showBoost]="false"></m-newsfeed--dropdown>
    </div>
  </div>

  <div
    class="m-feeds-sorted__List"
    [class.m-feeds-sortedList__flex]="!isActivityFeed()"
  >
    <ng-container
      *ngFor="let entity of feedsService.feed | async; let i = index"
    >
      <ng-container *ngIf="isActivityFeed()">
        <m-featured-content
          *ngIf="shouldShowBoost(i)"
          [slot]="i + 1"
        ></m-featured-content>
      </ng-container>

      <m-newsfeed__entity
        [entity]="entity | async"
        [slot]="i + 1"
      ></m-newsfeed__entity>
    </ng-container>

    <infinite-scroll
      distance="25%"
      (load)="loadMore()"
      [moreData]="feedsService.hasMore | async"
      [inProgress]="feedsService.inProgress | async"
    >
    </infinite-scroll>
  </div>
</div>
